package TitleChanger::CMS;

sub template_source {
    my ($cb, $app, $template) = @_;

    my $plugin = MT->component("TitleChanger");
    my $window_title = $plugin->get_config_value('window_title');
    return if !$window_title;

    $old = <<HTML;
<title><mt:if name="html_title"><\$mt:var name="html_title"\$><mt:else><\$mt:var name="page_title"\$></mt:if><mt:if name="blog_name"> - <\$mt:var name="blog_name" escape="html"\$></mt:if> | <\$mt:var name="mt_product_name"\$></title>
HTML
    $old = quotemeta($old);

    $new = <<HTML;
<title><mt:if name="html_title"><\$mt:var name="html_title"\$><mt:else><\$mt:var name="page_title"\$></mt:if><mt:if name="blog_name"> - <\$mt:var name="blog_name" escape="html"\$></mt:if> | $window_title</title>
HTML

    $$template =~ s/$old/$new/;
}

1;
